using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// 愿做代理的操作接口
/// </summary>
namespace Agent
{
    public interface IWillAgent
    {
        int Insert(TWillAgent eui,out int isReturn);   //添加愿做代理加盟信息
        int Update(TWillAgent us);                     //修改愿做代理加盟信息
        int UpdateVerify(TWillAgent eui);              //修改审核信息
        int UpdateRecommend(TWillAgent eui);           //修改推荐信息
        int Delete(int ID);                            //根据ID删除愿做代理加盟信息
        DataTable GetDataTable();                      //取得愿做代理加盟信息
        DataTable GetDataTable(TWillAgent eui);        //根据其他信息取得愿做代理加盟信息
        TWillAgent GateItem(int ID);                   //根据ID取得每一条愿做代理加盟信息
    }
}
